Bug 46525 - If all sw-raid partions are LABEL'ed, raid module not added
If all sw-raid partions are LABEL'ed, raid module not added
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-29 04:32 EDT by Pekka Savola
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-29 04:32:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-06-29 04:32:14 EDT
My colleague installed a RHL71 system with two disks, and converted all 3
partitions to software raid after the installation, including root (there
was no separate /boot).

There was LABEL=/ in /etc/fstab.  Label in /dev/sd{a,b}1 and /dev/md0 was
"/" for all of these.
  
mkinitrd greps for /dev/md in /etc/fstab and if not found, doesn't enable
raid modules in initrd.  Thus, if you have only LABEL's in /etc/fstab,
you're in for a surprise as raid modules aren't enabled if you don't run 
mkinitrd -v.

Second problem is probably not mkinitrd's fault but if there's some
connection:

However, even if you run mkinitd --with raid1, and the module gets added,
when you boot raid1 module gets loaded but the partitions won't be
autodetected and mounting root fails (the classic 09:00 error).
Comment 1 Matt Wilson 2001-07-06 21:05:49 EDT
partially fixed in rawhide, now we load whatever personalities exist in
/etc/raidtab.

Note You need to log in before you can comment on or make changes to this bug.